# This file created by conda-build 3.18.11
# ------------------------------------------------

package:
    name: ucx
    version: 1.7.0+g9d06c3a
source:
    -   folder: ucx
        git_rev: 9d06c3a
        git_url: https://github.com/openucx/ucx
        patches:
            - ipc-cache-threshold.patch
    -   folder: ucx-py
        git_rev: 255e839
        git_url: https://github.com/rapidsai/ucx-py
build:
    number: 0
    script_env:
        - CUDA_HOME
    string: cuda9.2_0
requirements:
    build:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 0_gnu
        - autoconf 2.69 pl526h14c3975_9
        - automake 1.16.1 pl526_1003
        - binutils_impl_linux-64 2.33.1 h53a641e_8
        - binutils_linux-64 2.33.1 h9595d00_16
        - gcc_impl_linux-64 7.3.0 hd420e75_5
        - gcc_linux-64 7.3.0 h553295d_16
        - gxx_impl_linux-64 7.3.0 hdf63c60_5
        - gxx_linux-64 7.3.0 h553295d_16
        - ld_impl_linux-64 2.33.1 h53a641e_8
        - libgcc-ng 9.2.0 h24d8f2e_2
        - libgomp 9.2.0 h24d8f2e_2
        - libibcm-cos6-x86_64 1.0.5 h1341992_0
        - libibcm-devel-cos6-x86_64 1.0.5 h1341992_0
        - libibverbs-cos6-x86_64 1.1.8 h1341992_0
        - libibverbs-devel-cos6-x86_64 1.1.8 h1341992_0
        - libnl-cos6-x86_64 1.1.4 1
        - librdmacm-cos6-x86_64 1.0.21 h1341992_0
        - librdmacm-devel-cos6-x86_64 1.0.21 h1341992_0
        - libstdcxx-ng 9.2.0 hdf63c60_2
        - libtool 2.4.6 h14c3975_1002
        - m4 1.4.18 h14c3975_1001
        - make 4.2.1 h14c3975_2004
        - numactl-cos6-x86_64 2.0.9 h1341992_0
        - numactl-devel-cos6-x86_64 2.0.9 h1341992_0
        - nvcc_linux-64 9.2 h7cc98d6_6
        - perl 5.26.2 h516909a_1006
        - pkg-config 0.29.2 h516909a_1006
    host:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 0_gnu
        - cudatoolkit 9.2 0
        - libgcc-ng 9.2.0 h24d8f2e_2
        - libgomp 9.2.0 h24d8f2e_2
        - libstdcxx-ng 9.2.0 hdf63c60_2
    run:
        - _openmp_mutex >=4.5
        - cudatoolkit 9.2|9.2.*
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
    run_constrained:
        - ucx-proc * gpu
test:
    commands:
        - test -f "${PREFIX}/bin/ucx_info"
about:
    home: https://github.com/openucx/ucx
    license: BSD-3-Clause
    license_family: BSD
    license_file: ucx/LICENSE
    summary: Unified Communication X.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - Akshay-Venkatesh
        - TomAugspurger
        - jakirkham
        - quasiben
